Limerence
Api keys

Create Api Key

Create a new API key for the current team

POST
/api-keys

Create a new API key for the current team

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "configId": "string",  "createdAt": "string",  "enabled": true,  "expiresAt": null,  "id": "string",  "key": "string",  "lastRefillAt": null,  "lastRequest": null,  "metadata": null,  "name": null,  "permissions": null,  "prefix": null,  "rateLimitEnabled": true,  "rateLimitMax": null,  "rateLimitTimeWindow": null,  "referenceId": "string",  "refillAmount": null,  "refillInterval": null,  "remaining": null,  "requestCount": 0,  "start": null,  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}